package ope.components;
import javax.swing.JFrame;


@SuppressWarnings("serial")
public class ClockWindow extends JFrame {
	
	/**
	 * A graphical user interface for an analog clock.
	 * The class extends {@link JFrame} class.
	 */
	public ClockWindow() {
		// Set the title
		this.setTitle("Analog clock");
		
		// Create the analog clock
		Clock clock = new Clock(); 
		
		// Add the clock to the JFrame and show it
		this.add(clock);
		
		// Fix the size of the window and its elements
		this.pack();
		
		// When the exit-button is clicked System.exit() will be called!
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		
		// The window is initially hidden. Show it!
		this.setVisible(true);
		
		// Start the updater thread
		ClockUpdater updater = new ClockUpdater(clock);
		Thread updaterThread = new Thread(updater);
		updaterThread.start();
	}
	
	/**
	 * Starts a new GUI for an analog clock.
	 * @param args
	 */
	public static void main(String[] args) {
		new ClockWindow();
	}

}
